[arch-commits] Commit in python-moto/repos/community-any (4 files)

Chih-Hsuan Yen yan12125 at gemini.archlinux.org
Mon Mar 7 18:08:00 UTC 2022


    Date: Monday, March 7, 2022 @ 18:08:00
  Author: yan12125
Revision: 1144661

archrelease: copy trunk to community-any

Added:
  python-moto/repos/community-any/PKGBUILD
    (from rev 1144659, python-moto/trunk/PKGBUILD)
  python-moto/repos/community-any/sdist-no-pyc.diff
    (from rev 1144659, python-moto/trunk/sdist-no-pyc.diff)
Deleted:
  python-moto/repos/community-any/PKGBUILD
  python-moto/repos/community-any/sdist-no-pyc.diff

-------------------+
 PKGBUILD          |  170 ++++++++++++++++++++++++++--------------------------
 sdist-no-pyc.diff |   18 ++---
 2 files changed, 94 insertions(+), 94 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2022-03-07 18:07:54 UTC (rev 1144660)
+++ PKGBUILD	2022-03-07 18:08:00 UTC (rev 1144661)
@@ -1,85 +0,0 @@
-# Maintainer: Chih-Hsuan Yen <yan12125 at archlinux.org>
-# Contributor: Guillaume Horel <guillaume.horel at gmail.com>
-
-pkgname=python-moto
-_pkgname=moto
-# https://github.com/spulec/moto/blob/master/CHANGELOG.md
-pkgver=3.0.3
-pkgrel=1
-pkgdesc='Moto is a library to mock out the boto library.'
-arch=(any)
-url='https://github.com/spulec/moto'
-license=(Apache)
-# NOTE: Keep the order of dependencies matching setup.py
-# setup.py includes setuptools, which is a work around for missing dependencies in aws-xray-sdk [1].
-# I use the correct dependency in python-aws-xray-sdk, so python-setuptools is not needed here.
-# [1] https://github.com/spulec/moto/pull/4142
-depends=(python-boto3 python-botocore python-cryptography python-requests python-xmltodict
-         python-werkzeug python-pytz python-dateutil python-responses
-         # Below dependencies varied with Python versions
-         python-jinja python-more-itertools)
-# See reqquirements-test.txt, excluding pytest-cov
-checkdepends=(python-pytest python-sure python-freezegun)
-# Below are optional dependencies. The order matches _dep_* items in upstream `setup.py`.
-# Note that _dep_python_jose_ecdsa_pin and _dep_idna are excluded as they are pins and
-# not used by moto.
-optdepends=(
-  'python-yaml: for apigatewayv2, cloudformation, s3 and ssm'
-  'python-jose: for apigateway and cognitoidp'
-  # SNS and SQS still uses docker indirectly, while upstream explicitly removes them
-  # https://github.com/spulec/moto/pull/4094
-  'python-docker: for awslambda, batch, cloudformation, dynamodb2 and dynamodbstreams'
-  'python-graphql-core: For appsync'
-  'python-jsondiff: for iotdata'
-  'python-aws-xray-sdk: for xray'
-  'python-cfn-lint: for cloudformation'
-  'python-sshpubkeys: for ec2 and efs'
-  'python-flask: for moto_server'
-  'python-flask-cors: for moto_server'
-)
-checkdepends+=(python-yaml python-jose python-docker python-graphql-core python-jsondiff python-aws-xray-sdk
-               python-cfn-lint python-sshpubkeys python-flask python-flask-cors)
-source=("https://files.pythonhosted.org/packages/source/m/moto/moto-${pkgver}.tar.gz"
-        sdist-no-pyc.diff)
-sha256sums=('fa3fbdc22c55d7e70b407e2f2639c48ac82b074f472b167609405c0c1e3a2ccb'
-            '4193bd88380f6ab8dac49be37d940993dee4e31351ffd60c8167b7c8e5ec3208')
-
-prepare() {
-  cd $_pkgname-$pkgver
-
-  # AWS Lambda and Batch tests require docker/podman, while running docker/podman
-  # in systemd-nspawn containers appears impossible without special configurations -
-  # disable them altogether
-  sed -i '/markers\s*=/a \ \ \ \ needs_docker: marks test which require docker' setup.cfg
-  find tests \( -name '*.py' -a ! -name __init__.py \) -print0 | xargs -I % -0 bash -c '
-    sed -i -E "%" \
-      -e "/__future__/a import pytest" \
-      -e "s/^(\s*)(@mock_batch)$/\1\2\n\1 at pytest.mark.needs_docker/" \
-      -e "s/^(\s*)(@mock_lambda)$/\1\2\n\1 at pytest.mark.needs_docker/"
-    grep __future__ "%" || sed -i "1i import pytest" "%"
-  '
-
-  patch -Np1 -i ../sdist-no-pyc.diff
-
-  # Remove upper bounds of dependencies
-  sed --in-place=.orig -r 's#,?<[0-9.]+,?##;s#==([0-9.]+)#>=\1#' setup.py
-  diff -u setup.py{.orig,} || true
-}
-
-build() {
-  cd $_pkgname-$pkgver
-
-  python setup.py build
-}
-
-check() {
-  cd $_pkgname-$pkgver
-
-  TZ=UTC pytest tests -m 'not needs_docker'
-}
-
-package() {
-  cd $_pkgname-$pkgver
-
-  python setup.py install --root="$pkgdir" --optimize=1 --skip-build
-}

Copied: python-moto/repos/community-any/PKGBUILD (from rev 1144659, python-moto/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2022-03-07 18:08:00 UTC (rev 1144661)
@@ -0,0 +1,85 @@
+# Maintainer: Chih-Hsuan Yen <yan12125 at archlinux.org>
+# Contributor: Guillaume Horel <guillaume.horel at gmail.com>
+
+pkgname=python-moto
+_pkgname=moto
+# https://github.com/spulec/moto/blob/master/CHANGELOG.md
+pkgver=3.0.6
+pkgrel=1
+pkgdesc='Moto is a library to mock out the boto library.'
+arch=(any)
+url='https://github.com/spulec/moto'
+license=(Apache)
+# NOTE: Keep the order of dependencies matching setup.py
+# setup.py includes setuptools, which is a work around for missing dependencies in aws-xray-sdk [1].
+# I use the correct dependency in python-aws-xray-sdk, so python-setuptools is not needed here.
+# [1] https://github.com/spulec/moto/pull/4142
+depends=(python-boto3 python-botocore python-cryptography python-requests python-xmltodict
+         python-werkzeug python-pytz python-dateutil python-responses
+         # Below dependencies varied with Python versions
+         python-jinja python-more-itertools)
+# See reqquirements-test.txt, excluding pytest-cov
+checkdepends=(python-pytest python-sure python-freezegun)
+# Below are optional dependencies. The order matches _dep_* items in upstream `setup.py`.
+# Note that _dep_python_jose_ecdsa_pin and _dep_idna are excluded as they are pins and
+# not used by moto.
+optdepends=(
+  'python-yaml: for apigatewayv2, cloudformation, s3 and ssm'
+  'python-jose: for apigateway and cognitoidp'
+  # SNS and SQS still uses docker indirectly, while upstream explicitly removes them
+  # https://github.com/spulec/moto/pull/4094
+  'python-docker: for awslambda, batch, cloudformation, dynamodb2 and dynamodbstreams'
+  'python-graphql-core: For appsync'
+  'python-jsondiff: for iotdata'
+  'python-aws-xray-sdk: for xray'
+  'python-cfn-lint: for cloudformation'
+  'python-sshpubkeys: for ec2 and efs'
+  'python-flask: for moto_server'
+  'python-flask-cors: for moto_server'
+)
+checkdepends+=(python-yaml python-jose python-docker python-graphql-core python-jsondiff python-aws-xray-sdk
+               python-cfn-lint python-sshpubkeys python-flask python-flask-cors)
+source=("https://files.pythonhosted.org/packages/source/m/moto/moto-${pkgver}.tar.gz"
+        sdist-no-pyc.diff)
+sha256sums=('53ab3b6647382f61ad5aef8351ccba3712fa9595b7826883e4a38a4ac5c9b5a7'
+            '4193bd88380f6ab8dac49be37d940993dee4e31351ffd60c8167b7c8e5ec3208')
+
+prepare() {
+  cd $_pkgname-$pkgver
+
+  # AWS Lambda and Batch tests require docker/podman, while running docker/podman
+  # in systemd-nspawn containers appears impossible without special configurations -
+  # disable them altogether
+  sed -i '/markers\s*=/a \ \ \ \ needs_docker: marks test which require docker' setup.cfg
+  find tests \( -name '*.py' -a ! -name __init__.py \) -print0 | xargs -I % -0 bash -c '
+    sed -i -E "%" \
+      -e "/__future__/a import pytest" \
+      -e "s/^(\s*)(@mock_batch)$/\1\2\n\1 at pytest.mark.needs_docker/" \
+      -e "s/^(\s*)(@mock_lambda)$/\1\2\n\1 at pytest.mark.needs_docker/"
+    grep __future__ "%" || sed -i "1i import pytest" "%"
+  '
+
+  patch -Np1 -i ../sdist-no-pyc.diff
+
+  # Remove upper bounds of dependencies
+  sed --in-place=.orig -r 's#,?<[0-9.]+,?##;s#==([0-9.]+)#>=\1#' setup.py
+  diff -u setup.py{.orig,} || true
+}
+
+build() {
+  cd $_pkgname-$pkgver
+
+  python setup.py build
+}
+
+check() {
+  cd $_pkgname-$pkgver
+
+  TZ=UTC pytest tests -m 'not needs_docker'
+}
+
+package() {
+  cd $_pkgname-$pkgver
+
+  python setup.py install --root="$pkgdir" --optimize=1 --skip-build
+}

Deleted: sdist-no-pyc.diff
===================================================================
--- sdist-no-pyc.diff	2022-03-07 18:07:54 UTC (rev 1144660)
+++ sdist-no-pyc.diff	2022-03-07 18:08:00 UTC (rev 1144661)
@@ -1,9 +0,0 @@
-diff --git a/MANIFEST.in b/MANIFEST.in
-index 51d1b223..30ca14c0 100644
---- a/MANIFEST.in
-+++ b/MANIFEST.in
-@@ -6,3 +6,4 @@ include moto/cognitoidp/resources/*.json
- include moto/dynamodb2/parsing/reserved_keywords.txt
- recursive-include moto/templates *
- recursive-include tests *
-+global-exclude *.py[cod]

Copied: python-moto/repos/community-any/sdist-no-pyc.diff (from rev 1144659, python-moto/trunk/sdist-no-pyc.diff)
===================================================================
--- sdist-no-pyc.diff	                        (rev 0)
+++ sdist-no-pyc.diff	2022-03-07 18:08:00 UTC (rev 1144661)
@@ -0,0 +1,9 @@
+diff --git a/MANIFEST.in b/MANIFEST.in
+index 51d1b223..30ca14c0 100644
+--- a/MANIFEST.in
++++ b/MANIFEST.in
+@@ -6,3 +6,4 @@ include moto/cognitoidp/resources/*.json
+ include moto/dynamodb2/parsing/reserved_keywords.txt
+ recursive-include moto/templates *
+ recursive-include tests *
++global-exclude *.py[cod]



More information about the arch-commits mailing list